使用phpstudy搭建的环境,更换Apache到2.4高版本教程

摘要
阿里云产品通用代金券,最高可达2000元
Apache官方发布的Apache新版本,主要是针对被发现的一个高危提权漏洞,可以通过提权控制服务器。这个漏洞所影响的版本十分广泛,涉及到从 2.4.17(2015.10.9) 到2.4.38(2019.4.1) 的所有版本。
所有说,都升级吧!!!
如果你没有用集成环境,单独升级就可以了。这里说一下使用PHPstudy集成环境的升级教程,然后更换成其他版本的Apache也是适用的。

NO.1
先从Apache官方下载需要的版本(http://httpd.apache.org/ ),根据你的系统选择32位版本还是64位版本的,可别照仿下错了。
111.png
222.png

NO.2
1)先把Apache服务停止了。
2)找到Apache所在目录,不会找的百度吧。。。。
3)复制一份原来的Apache文件夹,做一下备份,给自己留个后路
4)将下载到的Apache版本压缩包进行解压,把里面的bin、cgi-bin、modules文件夹复制,替换你原来Apache目录下的文件。

NO.3
打开cmd命令行窗口(win+R),切换目录到你的Apache目录下面,然后输入命令启动Apache:
->
httpd.exe
333.png
敲下回车键,如果没有错误,光标会跳到下一行并闪烁。如果报错了,就像解决错误吧

NO.4

在命令行输入 httpd -v ,检查是当前的Apache版本,如果你是需要升级/更改的版本,那就说明升级完成了。
我是升级到2.4.39了
444.png

目前评论:1 条

  1. avatar 今日新鲜事 回复 1个月前 (2020-01-10)

    文章不错非常喜欢,支持

发表评论

游客 表情 看不清楚?点图切换